<template lang="pug">
  .issuetats
    counter-bar(
      :counter="stats.ticketCount"
      :bars="stats.countList"
      title="項未指派的通報"
    )
</template>
<script>
import CounterBar from '~/components/CounterBar'

export default {
  components: {
    CounterBar
  },
  props: {
    issues: {
      type: Array,
      required: true
    }
  },
  computed: {
    stats () {
      const ticketCount = this.issues.length
      const perTypeCount = {}
      this.issues.forEach((issue) => {
        const type = issue.taskType
        if (!perTypeCount[type]) {
          perTypeCount[type] = 1
        } else {
          perTypeCount[type] += 1
        }
      })
      const countList = Object.keys(perTypeCount).map((type) => {
        return {
          label: type,
          count: perTypeCount[type]
        }
      })
      return {
        ticketCount,
        countList
      }
    }
  }
}
</script>
